Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdgf.extractor
Class VisioTextExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIOLE2TextExtractor
              org.apache.poi.hdgf.extractor.VisioTextExtractor

    public final class VisioTextExtractor

extends org.apache.poi.POIOLE2TextExtractor

Class to find all the text in a Visio file, and return it. Can opperate on the command line (outputs to stdout), or can return the text for you (eg for use with Lucene).

Constructor Summary
`VisioTextExtractor(org.apache.poi.poifs.filesystem.DirectoryNode dir)`
`VisioTextExtractor(org.apache.poi.poifs.filesystem.DirectoryNode dir, org.apache.poi.poifs.filesystem.POIFSFileSystem fs)` Deprecated. Use `VisioTextExtractor(DirectoryNode)` instead
`VisioTextExtractor(HDGFDiagram hdgf)`
`VisioTextExtractor(java.io.InputStream inp)`
`VisioTextExtractor(org.apache.poi.poifs.filesystem.NPOIFSFileSystem fs)`
`VisioTextExtractor(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)`

Method Summary
`java.lang.String[]` | `getAllText()` Locates all the text entries in the file, and returns their contents.
`java.lang.String` | `getText()` Returns the textual contents of the file.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.apache.poi.POIOLE2TextExtractor
`getDocSummaryInformation, getFileSystem, getMetadataTextExtractor, getRoot, getSummaryInformation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisioTextExtractor

    public VisioTextExtractor(HDGFDiagram hdgf)

### VisioTextExtractor

    public VisioTextExtractor(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### VisioTextExtractor

    public VisioTextExtractor(org.apache.poi.poifs.filesystem.NPOIFSFileSystem fs)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### VisioTextExtractor

    public VisioTextExtractor(org.apache.poi.poifs.filesystem.DirectoryNode dir)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### VisioTextExtractor

    public VisioTextExtractor(org.apache.poi.poifs.filesystem.DirectoryNode dir,
                              org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                       throws java.io.IOException

  Deprecated. Use `VisioTextExtractor(DirectoryNode)` instead

  Throws:
    `java.io.IOException`

### VisioTextExtractor

    public VisioTextExtractor(java.io.InputStream inp)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getAllText

    public java.lang.String[] getAllText()

  Locates all the text entries in the file, and returns their contents.

### getText

    public java.lang.String getText()

  Returns the textual contents of the file. Each textual object's text will be separated by a newline

  Specified by:
    `getText` in class `org.apache.poi.POITextExtractor`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD